LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 08-16-2012, 03:55 AM   #16
sims2801
LQ Newbie
 
Registered: Aug 2012
Posts: 10

Original Poster
Rep: Reputation: Disabled

thanks
the problem is solved
 
Old 11-04-2012, 01:03 AM   #17
rajindersanwal
LQ Newbie
 
Registered: Sep 2012
Posts: 14

Rep: Reputation: Disabled
SUMO -src-0.12.3 installation error

While installing SUMO -src-0.12.3 on ubuntu 11.10
I am getting an error...
In file included from MSDevice_Vehroutes.cpp:33:0:
MSDevice_Vehroutes.h:161:11: error: looser throw specifier for ‘virtual MSDevice_Vehroutes::StateListener::~StateListener()’
../../../src/microsim/MSNet.h:461:17: error: overriding ‘virtual MSNet::VehicleStateListener::~VehicleStateListener() throw ()’
make[4]: *** [MSDevice_Vehroutes.o] Error 1
make[4]: Leaving directory `/usr/local/sumo/src/microsim/devices'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/usr/local/sumo/src/microsim'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/local/sumo/src'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/usr/local/sumo/src'
make: *** [all-recursive] Error 1

what should I do to correct these errors? SUMO src-0.15.0 is installing correctly.
 
Old 11-04-2012, 02:56 AM   #18
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,557

Rep: Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512
Post # 17. Ubuntu 11.10 :

Please read post #2 : "Sumo-0.12.3 compiles OK with g++ version 4.4.1 .. 4.4.6 ."

sudo apt-get install g++-4.4 libproj-dev libxerces-c-dev libgdal1-dev libfox-1.6-dev

cd sumo-0.12.3/ && export CC=gcc-4.4 CXX=g++-4.4 && ./configure && make : No errors.

$ sumo-gui : The sumo GUI opens.

.
 
1 members found this post helpful.
Old 11-04-2012, 10:20 PM   #19
rajindersanwal
LQ Newbie
 
Registered: Sep 2012
Posts: 14

Rep: Reputation: Disabled
Question

Quote:
Originally Posted by knudfl View Post
Post # 17. Ubuntu 11.10 :

Please read post #2 : "Sumo-0.12.3 compiles OK with g++ version 4.4.1 .. 4.4.6 ."

sudo apt-get install g++-4.4 libproj-dev libxerces-c-dev libgdal1-dev libfox-1.6-dev

cd sumo-0.12.3/ && export CC=gcc-4.4 CXX=g++-4.4 && ./configure && make : No errors.

$ sumo-gui : The sumo GUI opens.

.
Thanks for coming forward to provide help...

I followed your way but came across an error....
sudo apt-get install g++-4.4 libproj-dev libxerces-c-dev libgdal1-dev libfox-1.6-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
g++-4.4 is already the newest version.
libfox-1.6-dev is already the newest version.
libgdal1-dev is already the newest version.
libproj-dev is already the newest version.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
libgdal1-dev : Depends: libxerces-c2-dev but it is not going to be installed
E: Unable to correct problems, you have held broken packages.


Now what should I do?

Then I did export CC=gcc-4.4 CXX=g++-4.4
and then ran .configure .. it gave no error....
But now when I am running make

It is giving the same above error posted in post #17

Last edited by rajindersanwal; 11-04-2012 at 10:34 PM.
 
Old 11-05-2012, 02:23 AM   #20
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,557

Rep: Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512
# 19

1) Fixing broken packages : sudo apt-get -f install
2) Updating the package index : sudo apt-get update
3) sudo apt-get install g++-4.4 libproj-dev libxerces-c2-dev libgdal1-dev libfox-1.6-dev
.... Don't know why there is a difference.
I had no problems with libxerces-c-dev. EDIT : libxerces-c2-dev was used.
But : Sumo will do OK with either (libxerces-c-dev or libxerces-c2-dev.) AFAIK.

4) cd sumo-0.12.3/
5) make clean && make distclean
6) export CC=gcc-4.4 CXX=g++-4.4 && ./configure && make
.... If you get some errors again :
Start from scratch with a new unpacked 'sumo-src-0.12.3.tar.gz'.
( The 'make clean' commands may not clean away all created objects.)

.

Last edited by knudfl; 11-05-2012 at 04:06 AM.
 
1 members found this post helpful.
Old 11-05-2012, 02:44 AM   #21
rajindersanwal
LQ Newbie
 
Registered: Sep 2012
Posts: 14

Rep: Reputation: Disabled
Unhappy

Quote:
Originally Posted by knudfl View Post
# 19

1) Fixing broken packages : sudo apt-get -f install
2) Updating the package index : sudo apt-get update
3) sudo apt-get install g++-4.4 libproj-dev libxerces-c2-dev libgdal1-dev libfox-1.6-dev
.... Don't know why there is a difference.
I had no problems with libxerces-c-dev.
But : Sumo will do OK with either (libxerces-c-dev or libxerces-c2-dev.) AFAIK.

4) cd sumo-0.12.3/
5) make clean && make distclean
6) export CC=gcc-4.4 CXX=g++-4.4 && ./configure && make
.... If you get some errors again :
Start from scratch with a new unpacked 'sumo-src-0.12.3.tar.gz'.
( The 'make clean' commands may not clean away all created objects.)

.

I acted as per your suggestions but still it is configuring but running make is unsuccessful... the error posted in
post # 17 is still coming.. thus unable to install..SUMO 0.12.3
 
Old 11-05-2012, 03:04 AM   #22
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,557

Rep: Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512
# 21. Don't know why your sumo fails. A 64bits OS ? 32bits should be used !

Please show the output from these commands :
1) cat /etc/issue
2) uname -m

Then I may supply / upload a binary package sumo-bin-0.12.3-u1110_<arch>.deb

.

Last edited by knudfl; 11-05-2012 at 04:40 AM.
 
Old 11-05-2012, 03:08 AM   #23
rajindersanwal
LQ Newbie
 
Registered: Sep 2012
Posts: 14

Rep: Reputation: Disabled
Wink

Quote:
Originally Posted by knudfl View Post
# 21. Don't know why your sumo fails. A 64bits OS ? 32bits should be used !

Please show the output from these commands :
1) cat /etc/issue
2) uname -m

Then I may supply / upload the binary package sumo-0.12.3-ubuntu11_<arch>.deb



.
1) Output of cat/etc/issue is
Ubuntu 11.10 \n \l
2) Output of uname -n is i686
 
Old 11-05-2012, 04:34 AM   #24
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,557

Rep: Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512
#21, #23

" bin/sumo* " dependencies :
libdrm.so.2, libexpat.so.1, libfontconfig.so.1, libFOX-1.6.so.0,
libfreetype.so.6, libglapi.so.0, libGL.so.1, libGLU.so.1,
libicudata.so.44, libicuuc.so.44, libjpeg.so.62, libpng12.so.0,
libproj.so.0, librt.so.1, libstdc++.so.6, libtiff.so.4,
libX11.so.6, libXau.so.6, libxcb.so.1, libXcursor.so.1,
libXdamage.so.1, libXdmcp.so.6, libxerces-c.so.28, libXext.so.6,
libXfixes.so.3, libXft.so.2, libXrender.so.1, libXxf86vm.so.1,
libz.so.1
? You may have forgotten to install some of the basic
lib<name>-dev packages before you started to build sumo ?


Binary package : sumo-bin-0.12.3-u1110_i386.deb
https://docs.google.com/open?id=0B7S...mVNZHpKTzhkUTg
Provides /usr/local/bin/ sumo sumo-gui , etc. etc.


.
 
Old 11-05-2012, 05:26 AM   #25
rajindersanwal
LQ Newbie
 
Registered: Sep 2012
Posts: 14

Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
#21, #23

" bin/sumo* " dependencies :
libdrm.so.2, libexpat.so.1, libfontconfig.so.1, libFOX-1.6.so.0,
libfreetype.so.6, libglapi.so.0, libGL.so.1, libGLU.so.1,
libicudata.so.44, libicuuc.so.44, libjpeg.so.62, libpng12.so.0,
libproj.so.0, librt.so.1, libstdc++.so.6, libtiff.so.4,
libX11.so.6, libXau.so.6, libxcb.so.1, libXcursor.so.1,
libXdamage.so.1, libXdmcp.so.6, libxerces-c.so.28, libXext.so.6,
libXfixes.so.3, libXft.so.2, libXrender.so.1, libXxf86vm.so.1,
libz.so.1
? You may have forgotten to install some of the basic
lib<name>-dev packages before you started to build sumo ?


Binary package : sumo-bin-0.12.3-u1110_i386.deb
https://docs.google.com/open?id=0B7S...mVNZHpKTzhkUTg
Provides /usr/local/bin/ sumo sumo-gui , etc. etc.


.
Sir How do we install this debian Package?
 
Old 11-05-2012, 05:41 AM   #26
rajindersanwal
LQ Newbie
 
Registered: Sep 2012
Posts: 14

Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
#21, #23



Binary package : sumo-bin-0.12.3-u1110_i386.deb
https://docs.google.com/open?id=0B7S...mVNZHpKTzhkUTg
Provides /usr/local/bin/ sumo sumo-gui , etc. etc.


.
Sir i downloaded the package and extracted it in ubuntu.. But It makes a folder sumo-bin-0.12.3-u1110_i386 and inside it are two folders and DEBIAN and usr along with a debian package named (sumo-bin-0.12.3-u1110_i386.deb) . Now on extraction this package gives an error...)
Attached Images
File Type: png Screenshot at 2012-11-05 17^%08^%10.png (69.3 KB, 8 views)
 
Old 11-05-2012, 05:51 AM   #27
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,557

Rep: Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512
# 26

A <package>.deb is meant to be installed, not to be extracted :

sudo dpkg -i sumo-bin-0.12.3-u1110_i386.deb



.

Last edited by knudfl; 11-05-2012 at 05:53 AM.
 
Old 11-05-2012, 05:57 AM   #28
rajindersanwal
LQ Newbie
 
Registered: Sep 2012
Posts: 14

Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
# 26

A <package>.deb is meant to be installed, not to be extracted :

sudo dpkg -i sumo-bin-0.12.3-u1110_i386.deb



.

I ran this command and the output was:-
raj@ubuntu:~$ sudo dpkg -i sumo-bin-0.12.3-u1110_i386.deb
[sudo] password for raj:
Selecting previously deselected package sumo-bin.
(Reading database ... 163977 files and directories currently installed.)
Unpacking sumo-bin (from sumo-bin-0.12.3-u1110_i386.deb) ...
Setting up sumo-bin (0.12.3-u1110) ...

///Sir where was it installed ... I have checked the home directory its not here... How to go to sumo/bin
Or SUMO for configure..../
Sir Please tell me the installation steps..
 
Old 11-05-2012, 06:06 AM   #29
rajindersanwal
LQ Newbie
 
Registered: Sep 2012
Posts: 14

Rep: Reputation: Disabled
Quote:
///Sir where was it installed ... I have checked the home directory its not here... How to go to sumo/bin
Or SUMO for configure..../
Sir Please tell me the installation steps..

Sir I just checked the /usr/local/bin and found sumo installed there..Please see the attachment...

When i changed to /usr/local/bin and type ./sumo-gui the SUMO window opened( see attachment 2).... SIR DOES THIS CONFIRMS THE INSTALLATION OF SUMO-0.12.3 successful?
Now Will there be the need for .configure and make?
Please tell me sir?
Attached Images
File Type: png SUMO.png (55.2 KB, 8 views)
File Type: png SUMO WINDOW.png (22.0 KB, 5 views)
 
Old 11-05-2012, 06:37 AM   #30
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,557

Rep: Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512
# 29

That's a complete sumo 0.12.3 installation, when you have
/usr/local/bin/ \
activitygen duarouter netgen polyconvert sumo-gui dfrouter
jtrrouter netconvert od2trips sumo TraCITestClient

No more "./configure and make" required.

And don't "cd to /usr/local/bin". Just type sumo, etc. etc.

.

Last edited by knudfl; 11-05-2012 at 06:39 AM.
 
  


Reply

Tags
gcc444, sumo


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
sumo installation on fedora 16 sims2801 Fedora 0 08-01-2012 06:53 AM
Sumo installation in Ubuntu yashu Linux - Networking 4 04-04-2012 03:53 AM
SUMO Installation in Fedora 15 mrnikunjdoshi Linux - Software 13 11-16-2011 02:35 AM
SUMO installation for TraNS on Fedora 12 Pranav Singh Linux - Newbie 3 11-01-2010 11:19 AM


All times are GMT -5. The time now is 09:30 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration